imagedata
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# imagedata

imagedata — Pointer to external image data

## Synopsis

### Content Model

    imagedata ::=
    EMPTY

### Attributes

Common attributes

Name | Type | Default
srccredit | CDATA | None

valign

Enumeration:

bottom
middle
top

None

width | CDATA | None
contentwidth | CDATA | None

format

Enumeration:

BMP
CGM-BINARY
CGM-CHAR
CGM-CLEAR
DITROFF
DVI
EPS
EQN
FAX
GIF
GIF87a
GIF89a
IGES
JPEG
JPG
linespecific
PCX
PIC
PNG
PS
SGML
TBL
TEX
TIFF
WMF
WPG

None

entityref | ENTITY | None
fileref | CDATA | None
scalefit | CDATA | None
depth | CDATA | None
scale | CDATA | None
contentdepth | CDATA | None

align

Enumeration:

center
left
right

None

## Description

This element points to an external entity containing graphical image data.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. Render the image.

There are two ways to provide content for `ImageData`: `EntityRef` or `FileRef`. It is best to use only one of these methods, however, if multiple sources are provided, `EntityRef` will be used in favor of `FileRef`.

### Parents

These elements contain imagedata: `imageobject`.

## Attributes

align

  `Align` specifies the horizontal alignment of the image data on the page or within the element that frames it.

depth

  `Depth` specifies the desired depth (vertical distance, at least in horizontal writing systems) of the image data.

entityref

  `EntityRef` identifies the general entity which points to the content of the image data.

fileref

  `FileRef` specifies the name of the file which contains the content of the image data.

format

  `Format` identifies the format of the image data. The `Format` must be a defined notation.

scale

  `Scale` specifies integer representing a percentage scaling factor (retaining the relative dimensions of the original image data). If unspecified, the value 100 (100%) is assumed.

scalefit

  If `ScaleFit` has the value 1 (true), then the image data is to be scaled (uniformly) to the specified width or depth. The default value of 0 (false) indicates that the image will not be scaled to fit (although it may still be scaled by the `Scale` attribute).

srccredit

  `SrcCredit` contains details about the source of the image data.

width

  `Width` indicates the width of the graphic.

## Examples

For examples, see `imageobject`, `informalfigure`, `inlinemediaobject`, `mediaobjectco`, `videoobject` .

Prev | Home | Next
html:form | Up | imageobject

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.